rte_ipsec_sad_conf(3)

NAME
rte_ipsec_sad_conf

SYNOPSIS

#include <rte_ipsec_sad.h>

  Data Fields

int socket_id
uint32_t max_sa [RTE_IPSEC_SAD_KEY_TYPE_MASK]
uint32_t flags

Detailed Description

IPsec SAD configuration structure

Definition at line 58 of file rte_ipsec_sad.h.

Field Documentation

  int socket_id
CPU socket ID where rte_ipsec_sad should be allocated

Definition at line 60 of file rte_ipsec_sad.h.

  uint32_t max_sa[RTE_IPSEC_SAD_KEY_TYPE_MASK]
maximum number of SA for each type of key

Definition at line 62 of file rte_ipsec_sad.h.

  uint32_t flags
RTE_IPSEC_SAD_FLAG_* flags

Definition at line 64 of file rte_ipsec_sad.h.

Author

Generated automatically by Doxygen for DPDK from the source code.